Bug 470867 - (CVE-2008-5013) CVE-2008-5013 Mozilla Flash Player dynamic module unloading flaw
CVE-2008-5013 Mozilla Flash Player dynamic module unloading flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=critical,source=mozilla,report...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 12:49 EST by Josh Bressers
Modified: 2010-12-25 11:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-25 11:44:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2008-11-10 12:49:43 EST
Security researcher Cameron Hotchkies, via TippingPoint's Zero Day
Initiative program, reported that insufficient checks were being performed
to test whether the Flash module was properly dynamically unloaded.
Hotchkies demonstrated that a SWF file which dynamically unloads itself
from an outside JavaScript function can cause the browser to access a
memory address no longer mapped to the Flash module, resulting in a crash.
This crash could be used by an attacker to run arbitrary code on a victim's
computer.

Firefox 3 is not affected by this issue.
Comment 2 Josh Bressers 2008-11-12 20:33:26 EST
This is now public:
http://www.mozilla.org/security/announce/2008/mfsa2008-49.html
Comment 3 Fedora Update System 2008-11-14 07:48:33 EST
firefox-2.0.0.18-1.fc8, epiphany-2.20.3-8.fc8, epiphany-extensions-2.20.1-11.fc8, blam-1.8.3-19.fc8, cairo-dock-1.6.3.1-1.fc8.1, chmsee-1.0.0-5.31.fc8, devhelp-0.16.1-11.fc8, evolution-rss-0.0.8-13.fc8, galeon-2.0.4-6.fc8.3, gnome-python2-extras-2.19.1-19.fc8, gnome-web-photo-0.3-14.fc8, kazehakase-0.5.6-1.fc8.1, liferea-1.4.15-5.fc8, Miro-1.2.7-2.fc8, openvrml-0.17.10-2.0.fc8, ruby-gnome2-0.17.0-3.fc8, yelp-2.20.0-14.fc8, seamonkey-1.1.13-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Vincent Danen 2010-12-25 11:44:38 EST
This was addressed via:

Red Hat Enterprise Linux version 2.1 (seamonkey) RHSA-2008:0977
Red Hat Enterprise Linux version 3 (seamonkey) RHSA-2008:0977
Red Hat Enterprise Linux version 4 (seamonkey) RHSA-2008:0977

Note You need to log in before you can comment on or make changes to this bug.